(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@tsparticles/engine", "./HsvColorManager.js"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.loadHsvColorPlugin = loadHsvColorPlugin;
    const engine_1 = require("@tsparticles/engine");
    const HsvColorManager_js_1 = require("./HsvColorManager.js");
    async function loadHsvColorPlugin(engine, refresh = true) {
        (0, engine_1.assertValidVersion)(engine, "3.7.1");
        await engine.addColorManager(new HsvColorManager_js_1.HsvColorManager(), refresh);
    }
});
